"use strict";

exports.__esModule = true;
exports.developServices = void 0;
var _services = require("../../services");
var _dataLayer = require("../data-layer");
var _queryRunning = require("../query-running");
var _waiting = require("../waiting");
const developServices = {
  initializeData: _dataLayer.initializeDataMachine,
  reloadData: _dataLayer.reloadDataMachine,
  recreatePages: _dataLayer.recreatePagesMachine,
  initialize: _services.initialize,
  runQueries: _queryRunning.queryRunningMachine,
  waitForMutations: _waiting.waitingMachine,
  startWebpackServer: _services.startWebpackServer,
  recompile: _services.recompile,
  postBootstrap: _services.postBootstrap,
  graphQLTypegen: _services.graphQLTypegen
};
exports.developServices = developServices;
//# sourceMappingURL=services.js.map